Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class WWIO

    java.lang.Object
      gov.nasa.worldwind.WWIO

    public class WWIO

extends Object

Constructor Summary
`WWIO()`

Method Summary
`static String` | `getSuffixForMimeType(String mimeType)`
`static boolean` | `isFileOutOfDate(URL url, long expiryTime)`
`static String` | `levelRowColumnPath(StringBuffer prefix, String level, int row, int column, String suffix)`
`static MappedByteBuffer` | `mapFile(File file)`
`static ByteBuffer` | `readFileToBuffer(File file)`
`static ByteBuffer` | `readURLContentToBuffer(URL url)`
`static ByteBuffer` | `readZipEntryToBuffer(File zipFile, String entryName)`
`static String` | `replaceSuffix(String in, String newSuffix)`
`static boolean` | `saveBuffer(ByteBuffer buffer, File file)`
`static File` | `saveBufferToTempFile(ByteBuffer buffer, String suffix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WWIO

    public WWIO()

Method Detail

### getSuffixForMimeType

    public static String getSuffixForMimeType(String mimeType)

### isFileOutOfDate

    public static boolean isFileOutOfDate(URL url,
                                          long expiryTime)

### levelRowColumnPath

    public static String levelRowColumnPath(StringBuffer prefix,
                                            String level,
                                            int row,
                                            int column,
                                            String suffix)

### mapFile

    public static MappedByteBuffer mapFile(File file)
                                    throws IOException

  Throws:
    `IOException`

### readFileToBuffer

    public static ByteBuffer readFileToBuffer(File file)
                                       throws IOException

  Throws:
    `IOException`

### readURLContentToBuffer

    public static ByteBuffer readURLContentToBuffer(URL url)
                                             throws IOException

  Throws:
    `IOException`

### readZipEntryToBuffer

    public static ByteBuffer readZipEntryToBuffer(File zipFile,
                                                  String entryName)
                                           throws IOException

  Throws:
    `IOException`

### replaceSuffix

    public static String replaceSuffix(String in,
                                       String newSuffix)

### saveBuffer

    public static boolean saveBuffer(ByteBuffer buffer,
                                     File file)
                              throws IOException

  Throws:
    `IOException`

### saveBufferToTempFile

    public static File saveBufferToTempFile(ByteBuffer buffer,
                                            String suffix)
                                     throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD